--- ./ixp400_eth.c.orig	2005-10-02 18:55:03.998477844 -0700
+++ ./ixp400_eth.c	2005-10-02 19:00:43.187821684 -0700
@@ -848,7 +848,9 @@
 	skb->pkt_type = PACKET_HOST;    /* Default type */
         skb->ip_summed = 0;
         skb->priority = 0;
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,13)
         skb->security = 0;
+#endif
 #ifdef CONFIG_NET_SCHED
 	skb->tc_index = 0;
 #endif
@@ -2922,8 +2924,14 @@
 }
 
 /* set port MAC addr and update the dev struct if successfull */
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,13)
 int dev_set_mac_address(struct net_device *dev, struct sockaddr *saddr)
 {
+#else
+static int set_mac_address(struct net_device *dev, void *saddrIn)
+{
+    struct sockaddr *saddr = saddrIn;
+#endif
     int res;
     priv_data_t *priv = dev->priv;
     IxEthAccMacAddr npeMacAddr;
@@ -3073,7 +3081,11 @@
     ndev->get_stats = dev_get_stats;
     ndev->set_multicast_list = dev_set_multicast_list;
     ndev->flags |= IFF_MULTICAST;
+#if LINUX_VERSION_CODE < KERNEL_VERSION(2,6,13)
     ndev->set_mac_address = dev_set_mac_address;
+#else
+    ndev->set_mac_address = set_mac_address;
+#endif
 
     TRACE;
 
